GPT-5
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
OpenAI’s GPT-5 model, released on August 7, 2025, featuring a unified architecture that dynamically routes each query between a fast-response base model and a deeper “GPT-5 Thinking” model for complex reasoning in real time . It delivers state-of-the-art performance across domains—94.6 % on the AIME 2025 math Olympiad without tools, 74.9 % on SWE-bench Verified, 88 % on Aider Polyglot for real-world coding, 84.2 % on multimodal understanding (MMMU), and 46.2 % on HealthBench Hard—with the GPT-5 Pro variant boosting GPQA performance to 88.4 % and cutting major errors by 22 % in expert evaluations. Its multimodal capabilities excel at interpreting and generating content from both text and images, while integrated web search and architectural improvements reduce hallucinations by ~45 % (~80 % when “thinking”) compared to GPT-4o and lower deception rates to 2.1 %. Available to all ChatGPT users—with Plus subscribers enjoying higher usage limits and Pro subscribers getting full access to GPT-5 Pro—GPT-5 replaces GPT-4.1, GPT-4o, and GPT-4.5 as the new default, bringing expert-level AI to everyone
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-5 | Sep 30 2024 | Text, Image | Text | 400,000 | $2.50/1M input $15.00/1M output |
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-5",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-5", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-5",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- OpenAI
https://openai.com/- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai